<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: statistics_panel.php
| Author: Zaxap Kramer
| E-mail: zaxap.kramer@gmail.com
| Website: http://www.nyandex.ru
|--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if(!defined("IN_FUSION")){die('Access Denied');}

$l=INFUSIONS.'statistics_panel/locale/';
$sl=$settings['locale'].'.php';
if(file_exists($l.$sl)){require_once $l.$sl;}else{require_once $l.'English.php';}

//db requests
$nr=dbcount("(news_id)",DB_NEWS,''); //news
$ar=dbcount("(article_id)",DB_ARTICLES,''); //articles
$dr=dbcount("(download_id)",DB_DOWNLOADS,''); //downloads
$phr=dbcount("(photo_id)",DB_PHOTOS,''); //photos
$wr=dbcount("(weblink_id)",DB_WEBLINKS,''); //weblinks
$tr=dbcount("(thread_id)",DB_THREADS,''); //threads
$por=dbcount("(post_id)",DB_POSTS,''); //posts
$mr=dbcount("(user_id)",DB_USERS,"user_status<='1' OR user_status='3' OR user_status='5'"); //members
$cr=dbcount("(comment_id)", DB_COMMENTS,''); //comments
$sr=0;
$sre=dbquery("SELECT panel_access FROM ".DB_PANELS." WHERE panel_filename='shoutbox_panel' AND panel_status='1'");
if(dbrows($sre)){
	$sre=dbarray($sre);
	if(checkgroup($sre['panel_access'])){
		$sr=dbcount("(shout_id)",DB_SHOUTBOX,'');
	}
} //shoutbox_shouts

$b='<br />';
$tb=THEME_BULLET.' ';

$n='<div class=\'text-align:center\'>'.$ll['s12'].'</div>';
openside($ll['s01']);
if($nr!=0){echo $tb,$ll['s02'],$nr,$b;$n='';}
if($ar!=0){echo $tb,$ll['s03'],$ar,$b;$n='';}
if($dr!=0){echo $tb,$ll['s04'],$dr,$b;$n='';}
if($phr!=0){echo $tb,$ll['s05'],$phr,$b;$n='';}
if($wr!=0){echo $tb,$ll['s06'],$wr,$b;$n='';}
if($tr!=0){echo $tb,$ll['s07'],$tr,$b;$n='';}
if($por!=0){echo $tb,$ll['s08'],$por,$b;$n='';}
if($mr!=0){echo $tb,$ll['s09'],$mr,$b;$n='';}
if($cr!=0){echo $tb,$ll['s10'],$cr,$b;$n='';}
if($sr!=0){echo $tb,$ll['s11'],$sr,$b;$n='';}
echo $n;
closeside();